# server entry provided by "jdauphant.nginx"
map $ssl_preread_server_name $name {
{% for key, value in item.value.backends.items() %}
  {{ value.server_name }} backend-{{ key }};
{% endfor %}
}

{% for key, value in item.value.backends.items() %}
upstream backend-{{ key }} {
  server {{ value.upstream_host }};
}
{% endfor %}

{% for port in item.value.public_ports %}
server {
    listen *:{{ port }};
    proxy_pass $name;
    ssl_preread on;
}
{% endfor %}
